[Aries KK][Video]Sometimes some '.mp4' videos can't continue to play, and the video play control bar is unavailable.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Video
RESOLVED WORKSFORME
3 years ago
3 years ago

People

(Reporter: Shally Li(leave from Mozilla), Unassigned)

Tracking

({regression})

unspecified
ARM
Gonk (Firefox OS)
regression
Dependency tree / graph

Firefox Tracking Flags

(b2g-v2.2 unaffected, b2g-master affected)

Details

(Whiteboard: [2.5-aries-test-run-3])

Attachments

(3 attachments, 2 obsolete attachments)

(Reporter)

Description

3 years ago
[1.Description]:
[Aries KK][v2.5][Video]When playing a 'mp4' video, tapping home button and then reopen video app, sometimes the '.mp4' video can't continue to play, and the Play/Rewind/forward button is unavailable, and video playing screen is shown black.

Found time: 17:06
Attach: Aries_v2.5.3gp and logcat_1706.txt
Test file: Gee_h264-320x240.mp4

[2.Testing Steps]: 
Precondition: Have some '.mp4' videos.

1. Launch Video.
2. Play a '.mp4' video.
3. Tap Home button.
4. Tap video app again.
5. Tap 'Play' button.
6. Repeat step 3&4&5

[3.Expected Result]: 
Step 5&6. All '.mp4' videos can continue to play after tapping home button and then reopen video app.

[4.Actual Result]: 
Step 5&6. Sometimes some '.mp4' videos can't continue to play, and the video play control bar (Play/Pause/Rewind/Forward button) is unavailable, and it shows black screen.

[5.Reproduction build]: 
Device: Flame KK 2.2 (Unaffected) 
Build ID               20151009032504
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/ab6c34bfacf7
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151009.064635
Firmware Date          Fri Oct  9 06:46:46 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK 2.5 (Unaffected)
Build ID               20151009150221
Gaia Revision          1609aecaba381c14eff95d5084e59280f53b7d8b
Gaia Date              2015-10-09 07:16:19
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/c00e93135684441d065791f4f98a338b872d0420
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151009.183801
Firmware Date          Fri Oct  9 18:38:15 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Aries KK 2.5 (Affected)
Build ID               20151010002512
Gaia Revision          74b0d4b17f39d238a7997800bd9363d3c60f20c3
Gaia Date              2015-10-09 19:27:39
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/d1bb0de19476541cd517ab14017e7fedbd9f13e3
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151009.234251
Firmware Date          Fri Oct  9 23:42:59 UTC 2015
Bootloader             s1


[6.Reproduction Frequency]: 
occasionally Recurrence,6/8

[7.TCID]: 
Free Test

[8.Note]:
On latest Flame KK v2.5, I can't repro this bug after 50 attempts, in step5&6 somtimes it will show black screen but video still can be played and the Play/Pause/Rewind/Forward button is available.
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → unaffected
status-b2g-master: --- → affected
Comment hidden (obsolete)
Comment hidden (obsolete)
(Reporter)

Updated

3 years ago
Attachment #8672240 - Attachment is obsolete: true
(Reporter)

Updated

3 years ago
Attachment #8672242 - Attachment is obsolete: true
(Reporter)

Comment 3

3 years ago
Created attachment 8672246 [details]
Test file:  Gee_h264-320x240.mp4
(Reporter)

Comment 4

3 years ago
Created attachment 8672247 [details]
logcat_1706.txt
(Reporter)

Comment 5

3 years ago
Created attachment 8672248 [details]
Aries_v2.5.3gp
(Reporter)

Updated

3 years ago
Keywords: regression
The black screen bug could be related to https://bugzilla.mozilla.org/show_bug.cgi?id=1199809
Blocks: 1205048
Depends on: 1199809
Adding qawanted for reproducing in the latest 2.5 branch
Keywords: qawanted
(Reporter)

Comment 8

3 years ago
    We have no Aires KK v2.5 build temporarily in recent days, and I can't repro this bug on latest Aries KK v2.6 by the STR in comment 0 (Rate: 0/15). 
    I will check this bug when we have the latest Aires KK v2.5 build in the near future, so leaving the "qawanted" keywords. 


Device: Aries KK 2.6 (master)(Pass)
Build ID               20151104004249
Gaia Revision          61918ddd9ccce104c009e873e34a0791e125753a
Gaia Date              2015-11-03 17:22:30
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/f742b9412ed5aace90ad863b276faae0641090a8
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151104.000116
Firmware Date          Wed Nov  4 00:01:24 UTC 2015
Bootloader             s1

Build ID               20151105105137
Gaia Revision          e68d693cb55fb5d8946498eb2bdb63f55116d38e
Gaia Date              2015-11-05 01:05:27
Gecko Revision         n/a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.rose.20151103.153542
Firmware Date          2015-11-03 Tuesday 15:36:03 CST
Bootloader             s1
QA Whiteboard: [MGSEI-Triage+]
Keywords: qawanted
(Reporter)

Updated

3 years ago
Keywords: qawanted
(Reporter)

Comment 9

3 years ago
This bug can't be repro on latest Aries KK v2.5 by the STR in comment 0 (Rate: 0/20), so I close this bug. If anyone can repro it, please reopen again, thanks.


Device: Aries KK 2.5 (unaffected)
Build ID               20151107112205
Gaia Revision          577948202ae12154524a2bd2bd6d467838ad50b8
Gaia Date              2015-11-07 10:00:59
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/ae7b8b1fd9e1504347b938820f99d75058049386
Gecko Version          44.0a2
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151107.104119
Firmware Date          Sat Nov  7 10:41:27 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Keywords: qawanted
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.